package main

type Acrobatics struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Animal_handling struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Arcana struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Athletics struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Character struct {
	Misc   Misc   `json:"misc"`
	Stats  Stats  `json:"stats"`
	Skills Skills `json:"skills"`
}
type Charisma struct {
	Score        int          `json:"score"`
	Modifier     int          `json:"modifier"`
	Proficient   bool         `json:"proficient"`
	Deception    Deception    `json:"deception"`
	Intimidation Intimidation `json:"intimidation"`
	Performance  Performance  `json:"performance"`
	Persuasion   Persuasion   `json:"persuasion"`
}
type Constitution struct {
	Score      int  `json:"score"`
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
}
type Deception struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Dexterity struct {
	Score           int             `json:"score"`
	Modifier        int             `json:"modifier"`
	Proficient      bool            `json:"proficient"`
	Acrobatics      Acrobatics      `json:"acrobatics"`
	Sleight_of_hand Sleight_of_hand `json:"sleight_of_hand"`
	Stealth         Stealth         `json:"stealth"`
}
type History struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Insight struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Intelligence struct {
	Score         int           `json:"score"`
	Modifier      int           `json:"modifier"`
	Proficient    bool          `json:"proficient"`
	Arcana        Arcana        `json:"arcana"`
	History       History       `json:"history"`
	Investigation Investigation `json:"investigation"`
	Nature        Nature        `json:"nature"`
	Religion      Religion      `json:"religion"`
}
type Intimidation struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Investigation struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Medicine struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Misc struct {
	Proficiency int    `json:"proficiency"`
	Inspiration int    `json:"inspiration"`
	Level       int    `json:"level"`
	Name        string `json:"name"`
}
type Nature struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Performance struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Persuasion struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Religion struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Skills struct {
	Strength     Strength     `json:"strength"`
	Dexterity    Dexterity    `json:"dexterity"`
	Intelligence Intelligence `json:"intelligence"`
	Wisdom       Wisdom       `json:"wisdom"`
	Charisma     Charisma     `json:"charisma"`
}
type Sleight_of_hand struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Stats struct {
	Strength     Strength     `json:"strength"`
	Dexterity    Dexterity    `json:"dexterity"`
	Constitution Constitution `json:"constitution"`
	Intelligence Intelligence `json:"intelligence"`
	Wisdom       Wisdom       `json:"wisdom"`
	Charisma     Charisma     `json:"charisma"`
}
type Stealth struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Strength struct {
	Score      int       `json:"score"`
	Modifier   int       `json:"modifier"`
	Proficient bool      `json:"proficient"`
	Athletics  Athletics `json:"athletics"`
}
type Survival struct {
	Modifier   int  `json:"modifier"`
	Proficient bool `json:"proficient"`
	Expertise  bool `json:"expertise"`
}
type Wisdom struct {
	Score           int             `json:"score"`
	Modifier        int             `json:"modifier"`
	Proficient      bool            `json:"proficient"`
	Animal_handling Animal_handling `json:"animal_handling"`
	Insight         Insight         `json:"insight"`
	Medicine        Medicine        `json:"medicine"`
	Survival        Survival        `json:"survival"`
}
